package cn.reghao.tnb.message.api.iface;

import cn.reghao.jutil.jdk.db.PageList;
import cn.reghao.jutil.jdk.result.Result;
import cn.reghao.tnb.message.api.dto.EmailDto;

/**
 * @author reghao
 * @date 2024-09-25 13:56:58
 */
public interface EmailAccountService {
    Result addEmailAccount(EmailDto emailDto);
    Result updatePassword(int emailId, String password);
    Result updateDefaultSender(int emailId);
    Result deleteEmailAccount(int emailId);
    EmailDto getEmailAccount(int emailId);
    EmailDto getEmailSender();
    PageList<EmailDto> getEmailAccounts(int pageNumber);
}
